import { html as h } from "lit";
import { property as n } from "lit/decorators.js";
import { PieIconComponent as a } from "./PieIconComponent.js";
import { safeCustomElement as f } from "@justeattakeaway/pie-webc-core";
var g = Object.defineProperty, m = Object.getOwnPropertyDescriptor, c = (l, t, s, e) => {
  for (var r = e > 1 ? void 0 : e ? m(t, s) : t, i = l.length - 1, p; i >= 0; i--)
    (p = l[i]) && (r = (e ? p(t, s, r) : p(r)) || r);
  return e && r && g(t, s, r), r;
};
let o = class extends a {
  constructor() {
    super(...arguments), this.size = "xs", this.defaultClasses = "c-pieIcon c-pieIcon--arrowRight", this.class = "c-pieIcon c-pieIcon--arrowRight", this.name = "IconArrowRight";
  }
  render() {
    return h`<svg width="${this._svgWidth}" height="${this._svgHeight}" fill="${this.fill}" xmlns="http://www.w3.org/2000/svg" role="presentation" focusable="false" fill="currentColor" viewBox="0 0 16 16" class="c-pieIcon c-pieIcon--arrowRight"><path d="M1 8.75h11.65l-3.76 3.76L10 13.57l4.68-4.69a1.239 1.239 0 0 0 0-1.76L10 2.43 8.89 3.49l3.76 3.76H1v1.5Z"></path></svg>`;
  }
};
c([
  n({ type: String, reflect: !0 })
], o.prototype, "size", 2);
c([
  n({ type: String, reflect: !0 })
], o.prototype, "class", 2);
o = c([
  f("icon-arrow-right")
], o);
export {
  o as IconArrowRight
};
